org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxLocalAdapter.PostLockClosure1<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure1<T>

Type Parameters:
  `T` - Return type.

All Implemented Interfaces:
  Serializable, IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>

Direct Known Subclasses:
  IgniteTxLocalAdapter.PLC1

Enclosing class:
  IgniteTxLocalAdapter

    protected abstract class IgniteTxLocalAdapter.PostLockClosure1<T>
    extends Object
    implements IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>

Post-lock closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `IgniteTxLocalAdapter.PostLockClosure1(T arg)` Creates a Post-Lock closure that will pass the argument given to the `postLock` method.
`protected` `IgniteTxLocalAdapter.PostLockClosure1(T arg, boolean commit)` Creates a Post-Lock closure that will pass the argument given to the `postLock` method.

### Method Summary

Methods
`IgniteInternalFuture<T>` `apply(Boolean locked, Exception e)` Closure body.
`protected abstract T` `postLock(T val)` Post lock callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteTxLocalAdapter.PostLockClosure1

    protected IgniteTxLocalAdapter.PostLockClosure1(T arg)

Creates a Post-Lock closure that will pass the argument given to the `postLock` method.

Parameters:
  `arg` - Argument for `postLock`.

#### IgniteTxLocalAdapter.PostLockClosure1

    protected IgniteTxLocalAdapter.PostLockClosure1(T arg,
                                         boolean commit)

Creates a Post-Lock closure that will pass the argument given to the `postLock` method.

Parameters:
  `arg` - Argument for `postLock`.
  `commit` - Flag indicating whether commit should be done after postLock.

### Method Detail

#### apply

    public final IgniteInternalFuture<T> apply(Boolean locked,
                                @Nullable
                                Exception e)

Closure body.

Specified by:
  `apply` in interface `IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>`
Parameters:
  `locked` - First parameter.
  `e` - Second parameter.
Returns:
  Closure return value.

#### postLock

    protected abstract T postLock(T val)
                           throws IgniteCheckedException

Post lock callback.

Parameters:
  `val` - Argument.
Returns:
  Future return value.
Throws:
  `IgniteCheckedException` - If operation failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016